<?xml version="1.0" encoding="gb2312" ?>
<xs:schema targetNamespace="http://www.h3c.com/netconf/config:1.0"
                  elementFormDefault="qualified"
                  xmlns="http://www.h3c.com/netconf/config:1.0"
                  xmlns:base="http://www.h3c.com/netconf/base:1.0"
                  xmlns:netconf ="urn:ietf:params:xml:ns:netconf:base:1.0"
                  xmlns:xs="http://www.w3.org/2001/XMLSchema">
  <xs:import namespace="http://www.h3c.com/netconf/base:1.0" schemaLocation="basetype.xsd"></xs:import>
  <xs:import schemaLocation="netconf.xsd" namespace="urn:ietf:params:xml:ns:netconf:base:1.0"></xs:import>

  <xs:annotation>
    <xs:documentation>MGROUP config define</xs:documentation>
  </xs:annotation>

  <xs:complexType name="MGROUP_SamplerName">
    <xs:simpleContent>
      <xs:restriction base="base:String">
        <xs:annotation>
          <xs:documentation >String[1 ~ 31]</xs:documentation>
        </xs:annotation>
        <xs:minLength value ="1"/>
        <xs:maxLength value ="31"/>
      </xs:restriction>
    </xs:simpleContent>
  </xs:complexType>
  <xs:complexType name="MGROUP_ID">
    <xs:simpleContent>
      <xs:restriction base="base:UnsignedInteger32">
        <xs:minInclusive value ="1"></xs:minInclusive>
        <xs:maxInclusive value ="256"></xs:maxInclusive>
      </xs:restriction>
    </xs:simpleContent>
  </xs:complexType>
  <xs:complexType name="MGROUP_Type">
    <xs:simpleContent >
      <xs:restriction base="base:UnsignedInteger32">
        <xs:annotation>
          <xs:documentation>Enumeration: 1(Local) 2(Remote-source) 3(Remote-destination)</xs:documentation>
        </xs:annotation>
        <xs:enumeration value="1" />
        <xs:enumeration value="2" />
        <xs:enumeration value="3" />
      </xs:restriction>
    </xs:simpleContent>
  </xs:complexType>
  <xs:complexType name="MGROUP_Vlan">
    <xs:simpleContent>
      <xs:restriction base="base:UnsignedInteger32">
        <xs:minInclusive value ="1"></xs:minInclusive>
        <xs:maxInclusive value ="4094"></xs:maxInclusive>
      </xs:restriction>
    </xs:simpleContent>
  </xs:complexType>
  <xs:complexType name="MGROUP_Direction">
    <xs:simpleContent >
      <xs:restriction base="base:UnsignedInteger32">
        <xs:annotation>
          <xs:documentation>Enumeration: 0 (both) 1(inbound) 2(outbound)</xs:documentation>
        </xs:annotation>
        <xs:enumeration value="1" />
        <xs:enumeration value="2" />
        <xs:enumeration value="3" />
      </xs:restriction>
    </xs:simpleContent>
  </xs:complexType>

  <xs:element name="MGROUP">
    <xs:complexType>
      <xs:choice minOccurs="0" maxOccurs="unbounded">
        <xs:element name="Groups">
          <xs:annotation>
            <xs:documentation>Port priority table</xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:choice minOccurs="0" maxOccurs="unbounded">
              <xs:element name="Group">
                <xs:annotation>
                  <xs:documentation>Row name</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:all>
                    <xs:element name="ID" type="MGROUP_ID" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>Interface Index</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="Type" type="MGROUP_Type" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>DSCP</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="Sampler" type="MGROUP_SamplerName" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>DSCP</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
        <xs:element name="MonitorPort">
          <xs:annotation>
            <xs:documentation>Port priority trust mode table</xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:choice minOccurs="0" maxOccurs="unbounded">
              <xs:element name="Group">
                <xs:annotation>
                  <xs:documentation>Row name</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:all>
                    <xs:element name="ID" type="MGROUP_ID" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>Interface Index</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="Port" type="base:NameAndIndexUnion" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>Interface Index</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
        <xs:element name="ReflectorPort">
          <xs:annotation>
            <xs:documentation>Port priority trust mode table</xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:choice minOccurs="0" maxOccurs="unbounded">
              <xs:element name="Group">
                <xs:annotation>
                  <xs:documentation>Row name</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:all>
                    <xs:element name="ID" type="MGROUP_ID" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>Interface Index</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="Port" type="base:NameAndIndexUnion" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>Port priority trust mode</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
        <xs:element name="EgressPort">
          <xs:annotation>
            <xs:documentation>Port priority trust mode table</xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:choice minOccurs="0" maxOccurs="unbounded">
              <xs:element name="Group">
                <xs:annotation>
                  <xs:documentation>Row name</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:all>
                    <xs:element name="ID" type="MGROUP_ID" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>Interface Index</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="Port" type="base:NameAndIndexUnion" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>Port priority trust mode</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
        <xs:element name="ProbeVlan">
          <xs:annotation>
            <xs:documentation>Port priority trust mode table</xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:choice minOccurs="0" maxOccurs="unbounded">
              <xs:element name="Group">
                <xs:annotation>
                  <xs:documentation>Row name</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:all>
                    <xs:element name="ID" type="MGROUP_ID" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>Interface Index</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="VlanID" type="MGROUP_Vlan" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>Port priority trust mode</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
        <xs:element name="SourcePorts">
          <xs:annotation>
            <xs:documentation>Priority mapping table</xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:choice minOccurs="0" maxOccurs="unbounded">
              <xs:element name="SourcePort">
                <xs:annotation>
                  <xs:documentation>Row name</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:all>
                    <xs:element name="ID" type="MGROUP_ID" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>Interface Index</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="IfIndex" type="base:NameAndIndexUnion" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>Interface Index</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="Direction" type="MGROUP_Direction" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>Port priority trust mode</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
      </xs:choice>
      <xs:attributeGroup ref="base:NodeAttributeGroup"></xs:attributeGroup>
    </xs:complexType>
  </xs:element>
</xs:schema>